Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1477197 - Review Request: perl-Email-Address-XS - Parse and format RFC 2822 email addresses and groups
Review Request: perl-Email-Address-XS - Parse and format RFC 2822 email addre...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-01 08:53 EDT by Jitka Plesnikova
Modified: 2017-08-03 03:57 EDT (History)
2 users (show)

See Also:
Fixed In Version: perl-Email-Address-XS-1.00-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-03 03:57:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ppisar: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jitka Plesnikova 2017-08-01 08:53:29 EDT
Spec URL: https://jplesnik.fedorapeople.org/perl-Email-Address-XS/perl-Email-Address-XS.spec
SRPM URL: https://jplesnik.fedorapeople.org/perl-Email-Address-XS/perl-Email-Address-XS-1.00-1.fc27.src.rpm

Description:
This module implements RFC 2822 parser and formatter of email addresses and
groups. It parses an input string from email headers which contain a list
of email addresses or a groups of email addresses (like From, To, Cc, Bcc,
Reply-To, Sender, ...). Also it can generate a string value for those
headers from a list of email addresses objects.

Fedora Account System Username: jplesnik@redhat.com
Comment 1 Petr Pisar 2017-08-02 07:21:25 EDT
URL and Source0 addresses are Ok.
Source0 archive (SHA-256: 52d5a1f8c3bace4bae6d25b123a00213d6de027cac0da6666f1ed4f7b6bebd18) is original. Ok.
Summary verified from lib/Email/Address/XS.pm. Ok.
Description verified from lib/Email/Address/XS.pm. Ok.

FIX: Remove the article before `groups' word in the description.

License verified from lib/Email/Address/XS.pm, README, 
dovecot-parser.c. Ok.

FIX: This packages bundles dovecot code (dovecot-parser.c contains functions and data types from various dovecot files sources). You have to provide `bundled()' RPM symbol per bundling policy.

FIX: Build-require `findutils' (perl-Email-Address-XS.spec:44).
FIX: Do not build-require `perl(utf8)', it's not used on modern Perl.

All tests pass. Ok.

$ rpmlint perl-Email-Address-XS.spec ../SRPMS/perl-Email-Address-XS-1.00-1.fc27.src.rpm ../RPMS/x86_64/perl-Email-Address-XS-*
perl-Email-Address-XS.src: W: spelling-error %description -l en_US formatter -> formatted, for matter, for-matter
perl-Email-Address-XS.x86_64: W: spelling-error %description -l en_US formatter -> formatted, for matter, for-matter
perl-Email-Address-XS-debuginfo.x86_64: E: debuginfo-without-sources
perl-Email-Address-XS-debugsource.x86_64: W: no-documentation
perl-Email-Address-XS-debugsource.x86_64: W: devel-file-in-non-devel-package /usr/src/debug/perl-Email-Address-XS-1.00-1.fc27.x86_64/Email-Address-XS.c
perl-Email-Address-XS-debugsource.x86_64: W: devel-file-in-non-devel-package /usr/src/debug/perl-Email-Address-XS-1.00-1.fc27.x86_64/dovecot-parser.c
perl-Email-Address-XS-debugsource.x86_64: W: devel-file-in-non-devel-package /usr/src/debug/perl-Email-Address-XS-1.00-1.fc27.x86_64/dovecot-parser.h
4 packages and 1 specfiles checked; 1 errors, 6 warnings.
rpmlint is Ok.

$ rpm -q -lv -p ../RPMS/x86_64/perl-Email-Address-XS-1.00-1.fc27.x86_64.rpm 
drwxr-xr-x    2 root    root                        0 Aug  2 13:11 /usr/lib/.build-id
drwxr-xr-x    2 root    root                        0 Aug  2 13:11 /usr/lib/.build-id/02
lrwxrwxrwx    1 root    root                       67 Aug  2 13:11 /usr/lib/.build-id/02/8268dc0e43ac0a16909ec7c57b902f32d48b7b -> ../../../../usr/lib64/perl5/vendor_perl/auto/Email/Address/XS/XS.so
drwxr-xr-x    2 root    root                        0 Aug  2 13:11 /usr/lib64/perl5/vendor_perl/Email
drwxr-xr-x    2 root    root                        0 Aug  2 13:11 /usr/lib64/perl5/vendor_perl/Email/Address
-rw-r--r--    1 root    root                    15804 Feb 18 15:24 /usr/lib64/perl5/vendor_perl/Email/Address/XS.pm
drwxr-xr-x    2 root    root                        0 Aug  2 13:11 /usr/lib64/perl5/vendor_perl/auto/Email
drwxr-xr-x    2 root    root                        0 Aug  2 13:11 /usr/lib64/perl5/vendor_perl/auto/Email/Address
drwxr-xr-x    2 root    root                        0 Aug  2 13:11 /usr/lib64/perl5/vendor_perl/auto/Email/Address/XS
-rwxr-xr-x    1 root    root                    32280 Aug  2 13:11 /usr/lib64/perl5/vendor_perl/auto/Email/Address/XS/XS.so
drwxr-xr-x    2 root    root                        0 Aug  2 13:11 /usr/share/doc/perl-Email-Address-XS
-rw-r--r--    1 root    root                      281 Feb 18 15:24 /usr/share/doc/perl-Email-Address-XS/Changes
-rw-r--r--    1 root    root                     1892 Feb 18 15:24 /usr/share/doc/perl-Email-Address-XS/README
-rw-r--r--    1 root    root                     4454 Aug  2 13:11 /usr/share/man/man3/Email::Address::XS.3pm.gz
File layout and permissions is Ok.

$ rpm -q --requires -p ../RPMS/x86_64/perl-Email-Address-XS-1.00-1.fc27.x86_64.rpm | sort -f | uniq -c
      1 libc.so.6()(64bit)
      1 libc.so.6(GLIBC_2.14)(64bit)
      1 libc.so.6(GLIBC_2.2.5)(64bit)
      1 libc.so.6(GLIBC_2.4)(64bit)
      1 libperl.so.5.26()(64bit)
      1 perl(:MODULE_COMPAT_5.26.0)
      1 perl(:VERSION) >= 5.6.0
      1 perl(base)
      1 perl(Carp)
      1 perl(Exporter)
      1 perl(overload)
      1 perl(strict)
      1 perl(warnings)
      1 perl(XSLoader)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      1 rtld(GNU_HASH)
Binary requires are Ok.

$ rpm -q --provides -p ../RPMS/x86_64/perl-Email-Address-XS-1.00-1.fc27.x86_64.rpm | sort -f | uniq -c
      1 perl(Email::Address::XS) = 1.00
      1 perl-Email-Address-XS = 1.00-1.fc27
      1 perl-Email-Address-XS(x86-64) = 1.00-1.fc27
Binary provides are Ok.

$ resolvedeps rawhide ../RPMS/x86_64/perl-Email-Address-XS-1.00-1.fc27.x86_64.rpm 
Binary dependencies resolvable. Ok.

The package builds in F27 (https://koji.fedoraproject.org/koji/taskinfo?taskID=20966619). Ok.

Otherwise the package is in line with Fedora and Perl packaging guidelines.

Please correct the `FIX' items before building this package.
Resolution: Package APPROVED.
Comment 2 Gwyn Ciesla 2017-08-02 12:53:05 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/perl-Email-Address-XS
Comment 3 Jitka Plesnikova 2017-08-03 03:57:04 EDT
The spec was updated according to comments.

Thank you for the review and the repository.

Note You need to log in before you can comment on or make changes to this bug.